Electronic Load 1.0 Programmable Constant Current Sink

Data Fields
confStruct_t Struct Reference

Holds all Configuration Data stored in EEPROM. More...

Collaboration diagram for confStruct_t:
[legend]

## Data Fields
double | ADCDiffVoltsPerLSB
| Volts per LSB for differential Voltage measurement. More...
double | ADCHighAmpsPerLSB
| Amperes per LSB in High Current Range. More...
double | ADCLowAmpsPerLSB
| Amperes per LSB in Low Current Range. More...
bool | backlightAlwaysOn
| True if the Backlight should stay on forever. More...
uint8_t | backlightOnTime
| Time the Backlight will stay on after Key Press in Seconds. More...
double | DACHighAmpsPerLSB
| Amperes per LSB in High Current Range. More...
double | DACLowAmpsPerLSB
| Amperes per LSB in Low Current Range. More...
uint8_t | LCDBright
| LCD Brightness. More...
uint8_t | LCDV0
| Control Voltage for LCD Contrast. More...
uint16_t | magic
| Used to discover unprogrammed Devices. More...
double | P12VoltsPerLSB
| Calibration Value for Unreg. More...
double | P5VoltsPerLSB
| Calibration Value for 5V. More...
double | preset [10]
| Value in Amperes for the 10 Presets. More...
soa_t | soa
| The Safe Operating Area. More...

## Detailed Description

Holds all Configuration Data stored in EEPROM.

All physical units are in SI base units or direct derivates

## Field Documentation

## ◆ magic

uint16_t magic

Used to discover unprogrammed Devices.

## ◆ LCDV0

uint8_t LCDV0

Control Voltage for LCD Contrast.

## ◆ LCDBright

uint8_t LCDBright

LCD Brightness.

## ◆ P5VoltsPerLSB

double P5VoltsPerLSB

Calibration Value for 5V.

## ◆ P12VoltsPerLSB

double P12VoltsPerLSB

Calibration Value for Unreg.

## ◆ backlightAlwaysOn

bool backlightAlwaysOn

True if the Backlight should stay on forever.

## ◆ backlightOnTime

uint8_t backlightOnTime

Time the Backlight will stay on after Key Press in Seconds.

## ◆ preset

double preset[10]

Value in Amperes for the 10 Presets.

## ◆ ADCLowAmpsPerLSB

double ADCLowAmpsPerLSB

Amperes per LSB in Low Current Range.

## ◆ ADCHighAmpsPerLSB

double ADCHighAmpsPerLSB

Amperes per LSB in High Current Range.

## ◆ ADCDiffVoltsPerLSB

double ADCDiffVoltsPerLSB

Volts per LSB for differential Voltage measurement.

## ◆ DACLowAmpsPerLSB

double DACLowAmpsPerLSB

Amperes per LSB in Low Current Range.

## ◆ DACHighAmpsPerLSB

double DACHighAmpsPerLSB

Amperes per LSB in High Current Range.

## ◆ soa

soa_t soa

The Safe Operating Area.

The documentation for this struct was generated from the following file:

- config.h